std::front_insert_iterator::operator=(3)

NAME
std::front_insert_iterator::operator= - std::front_insert_iterator::operator=

Synopsis
   front_insert_iterator<Container>&
       operator=( typename (until C++11)
   Container::const_reference value );
   front_insert_iterator<Container>& (since C++11)
       operator=( const typename (until C++20)
   Container::value_type& value );
   constexpr front_insert_iterator<Container>&
       operator=( const typename (1) (since C++20)
   Container::value_type& value );
   front_insert_iterator<Container>& (since C++11)
       operator=( typename Container::value_type&& (until C++20)
   value ); (2)
   constexpr front_insert_iterator<Container>&
       operator=( typename Container::value_type&& (since C++20)
   value );
   Inserts the given value value to the container.
   1) Results in container->push_front(value).
   2) Results in container->push_front(std::move(value)).

Parameters
   value - the value to insert

Return value
   *this

Example
// Run this code
 #include <deque>
 #include <iostream>
 #include <iterator>
 int main()
 {
     std::deque<int> q;
     std::front_insert_iterator<std::deque<int>> it(q);
     for (int i = 0; i < 10; ++i)
         it = i; // calls q.push_front(i)
     for (auto& elem : q)
         std::cout << elem << ' ';
     std::cout << '\n';
 }

Output:
 9 8 7 6 5 4 3 2 1 0